package com.isu.gaswellwatch.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.isu.gaswellwatch.dto.RoleDTO;
import com.isu.gaswellwatch.dto.RoleEditDTO;
import com.isu.gaswellwatch.entity.Role;
import com.isu.gaswellwatch.vo.RoleVO;

public interface RoleService extends IService<Role> {

    Page<Role> page(Integer currentPage, Integer pageSize, String name);
    void add(RoleDTO roleDTO);
    void edit(RoleEditDTO roleEditDTO);
    void delete(Long id);
}

